package org.algorithm.core.neural;


/**
 * 门诊诊断预测
 * 
 * @Author: bijl
 * @Date: 2018年7月26日-下午2:32:19
 * @Description:
 */
public class DiagnosisToPacsExecutor extends AlgorithmNeuralExecutor {

    /**
     * 加载模型和数据集
     */
    public DiagnosisToPacsExecutor() {
        String modelVersion = "diagnosisToPacs.version";

        this.model = TensorFlowModelLoadFactory.create(modelVersion);
    }

}
