package org.diagbot.bigdata.service.impl;

import org.diagbot.bigdata.dao.mapper.ResultMappingDiagMapper;
import org.diagbot.bigdata.dao.model.ResultMappingDiag;
import org.diagbot.bigdata.dao.model.wrapper.ResultMappingDiagWrapper;
import org.diagbot.bigdata.service.ResultMappingDiagService;
import org.diagbot.pub.service.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ResultMappingDiagServiceImpl extends BaseServiceImpl<ResultMappingDiag, ResultMappingDiagWrapper, Long> implements ResultMappingDiagService {
    @Autowired
    ResultMappingDiagMapper resultMappingDiagMapper;

    @Autowired
    private void setEntityMapper() {
        super.setEntityMapper(resultMappingDiagMapper);
    }

}
