package org.diagbot.bigdata.service.impl;

import org.diagbot.bigdata.dao.mapper.ResultMappingFilterMapper;
import org.diagbot.bigdata.dao.model.ResultMappingFilter;
import org.diagbot.bigdata.dao.model.wrapper.ResultMappingFilterWrapper;
import org.diagbot.bigdata.service.ResultMappingFilterService;
import org.diagbot.pub.service.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ResultMappingFilterServiceImpl extends BaseServiceImpl<ResultMappingFilter, ResultMappingFilterWrapper, Long> implements ResultMappingFilterService {
    @Autowired
    ResultMappingFilterMapper resultMappingFilterMapper;

    @Autowired
    private void setEntityMapper() {
        super.setEntityMapper(resultMappingFilterMapper);
    }

}
