package org.diagbot.bigdata.service.impl;

import org.diagbot.bigdata.dao.mapper.ResultMappingVitalMapper;
import org.diagbot.bigdata.dao.model.ResultMappingVital;
import org.diagbot.bigdata.dao.model.wrapper.ResultMappingVitalWrapper;
import org.diagbot.bigdata.service.ResultMappingVitalService;
import org.diagbot.pub.service.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ResultMappingVitalServiceImpl extends BaseServiceImpl<ResultMappingVital, ResultMappingVitalWrapper, Long> implements ResultMappingVitalService {
    @Autowired
    ResultMappingVitalMapper resultMappingVitalMapper;

    @Autowired
    private void setEntityMapper() {
        super.setEntityMapper(resultMappingVitalMapper);
    }

}
