/** 
* @Company: 杭州朗通信息技术有限公司
* @Department: 医疗事业部
* @Description: 互动反馈系统 
* @Address: 浙江省杭州市余杭区向往街1008号乐富海邦园11幢4楼
*/
package org.diagbot.common.dao.mapper;

import org.diagbot.common.dao.model.StandardInfo;
import org.diagbot.common.dao.model.wrapper.StandardInfoWrapper;
import org.diagbot.pub.orm.EntityMapper;

import java.util.List;
import java.util.Map;

/** 
* @Title: StandardInfo.java
* @Package: com.zjlantone.nlp.web.kl.dao.model
* @Description: 数据库操作接口类 
* @author: 楼辉荣
* @date: 2016年8月8日 下午17:16:23
* @version: V1.0
*/
public interface StandardInfoMapper extends EntityMapper<StandardInfo, StandardInfoWrapper, Long> {
    public List<StandardInfoWrapper> selectNullCategoryIdWrapper();
    List<StandardInfo> selectNotNullRelationTerm(Map<String, Object> map);
}