package org.diagbot.nlp.service.impl;

import org.diagbot.nlp.dao.mapper.FeatureMapper;
import org.diagbot.nlp.dao.model.Feature;
import org.diagbot.nlp.dao.model.wrapper.FeatureWrapper;
import org.diagbot.nlp.service.FeatureService;
import org.diagbot.pub.service.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FeatureServiceImpl extends BaseServiceImpl<Feature, FeatureWrapper, Long> implements FeatureService {
    @Autowired
    FeatureMapper featureMapper;

    @Autowired
    private void setEntityMapper() {
        super.setEntityMapper(featureMapper);
    }

}
